Package org.apache.jorphan.gui

# Class ObjectTableSorter.PreserveLastRowComparator

java.lang.Object
org.apache.jorphan.gui.ObjectTableSorter.PreserveLastRowComparator

All Implemented Interfaces:
  `Comparator<ObjectTableSorter.Row>`

Enclosing class:
  ObjectTableSorter

protected class ObjectTableSorter.PreserveLastRowComparator extends Object implements Comparator<ObjectTableSorter.Row>

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `PreserveLastRowComparator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compare(ObjectTableSorter.Row o1, ObjectTableSorter.Row o2)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Comparator

  `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- ## Constructor Details

  - ### PreserveLastRowComparator

    protected PreserveLastRowComparator()

- ## Method Details

  - ### compare

    public int compare(ObjectTableSorter.Row o1, ObjectTableSorter.Row o2)
    Specified by:
      `compare` in interface `Comparator<ObjectTableSorter.Row>`